/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
export interface IFloatingLabelAdapter {
    addLabelClass(className: string): void;
    removeLabelClass(className: string): void;
    hasLabelClass(className: string): boolean;
    getWidth(): number;
    addLabelListener(type: string, listener: (evt: Event) => void): void;
    removeLabelListener(type: string, listener: (evt: Event) => void): void;
}
export declare class FloatingLabelAdapter implements IFloatingLabelAdapter {
    private _labelElement;
    constructor(_labelElement: HTMLLabelElement);
    addLabelClass(className: string): void;
    removeLabelClass(className: string): void;
    hasLabelClass(className: string): boolean;
    getWidth(): number;
    addLabelListener(type: string, listener: (evt: Event) => void): void;
    removeLabelListener(type: string, listener: (evt: Event) => void): void;
}
